	<?php 
			
			if( 'no' != get_theme_mod('sipka_show_welcome') ): 
			
			$sipkaWelcomePostTitle = '';
			$sipkaWelcomePostExcerpt = '';
			$sipkaWelcomePostContent = '';
			
			if( '' != get_theme_mod('sipka_welcome_post') && 'select' != get_theme_mod('sipka_welcome_post') ){
				
				$sipkaWelcomePostId = get_theme_mod('sipka_welcome_post');
				
				if( ctype_alnum($sipkaWelcomePostId) ){

					$sipkaWelcomePost = get_post( $sipkaWelcomePostId );
				
					$sipkaWelcomePostTitle = $sipkaWelcomePost->post_title;
					$sipkaWelcomePostExcerpt = $sipkaWelcomePost->post_excerpt;
					$sipkaWelcomePostContent = $sipkaWelcomePost->post_content;
				}
				
			}
			
	?>
	<div class="frontpage-welcome-container">

		<h1><?php echo esc_html($sipkaWelcomePostTitle); ?></h1>
		<div>
			<?php 
				
				if( '' != $sipkaWelcomePostExcerpt ){
					
					echo esc_html($sipkaWelcomePostExcerpt);
					
				}else{
					
					echo esc_html($sipkaWelcomePostContent);
					
				}
			
			?>
		</div>

	</div><!-- .frontpage-welcome-container -->
	<?php endif; ?>

	<div class="front-page-posts">
		
		<?php
		
		$sipka_front_cat = '';
		
		if(get_theme_mod('sipka_front_cat')){
			$sipka_front_cat = get_theme_mod('sipka_front_cat');
		}else{
			$sipka_front_cat = 0;
		}		
		
		$sipka_front_args = array(
           // Change these category SLUGS to suit your use.
           'ignore_sticky_posts' => 1,
           'post_type' => array('post'),
           'posts_per_page'=> -1,
		   'cat' => $sipka_front_cat
        );
        
		$sipka_front = new WP_Query($sipka_front_args);		
		
		if ( $sipka_front->have_posts() ) :

			echo '<div class="front-page-posts">';
			
			/* Start the Loop */
			while ( $sipka_front->have_posts() ) :
				$sipka_front->the_post();

				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				?> 
				<div class="front-page-post">
				
					<div class="front-page-post-image">
					<?php
						if ( has_post_thumbnail() ) {
							the_post_thumbnail('home-posts');
						}else{
							echo '<img src="' . esc_url( get_template_directory_uri() ) . '/assets/images/service.jpg" />';
						}						
					?>
					</div><!-- .front-page-post-image -->
					
					<div class="front-page-post-description">
						<a class="front-page-post-link" href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title( '<h2 class="entry-title">', '</h2>' ); ?></a>
					</div><!-- .front-page-post-description -->					
				
				</div><!-- .front-page-post -->
				<?php
				
			endwhile; wp_reset_postdata();

			echo '</div><!-- .front-page-posts -->';

		endif;
		?>		
		
	</div>